### Hierarchy

- Writer

## Index

### Constructors

- constructor

### Properties

- code

### Methods

- string
- write

## Constructors

### constructor

- new Writer(): Writer

- #### Returns Writer

## Properties

### Private code

code: string = ""

- Defined in src/ast/visitor.ts:19

## Methods

### string

- string(): string

- - Defined in src/ast/visitor.ts:25

  #### Returns string

### write

- write(source: string): void

- - Defined in src/ast/visitor.ts:21

  #### Parameters

  - ##### source: string

  #### Returns void

Generated using TypeDoc